SmilesMeasure
Date: 2019-10-22

org.jmol.smiles

## Class SmilesMeasure

- java.lang.Object
- - org.jmol.smiles.SmilesMeasure

-     public class SmilesMeasure
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `(package private) int` | `index`
    `private int[]` | `indices`
    `(package private) boolean` | `isNot`
    `private float[]` | `minmax`
    `(package private) int` | `nPoints`
    `private javajs.util.P3[]` | `points`
    `private static float` | `radiansPerDegree`
    `(package private) SmilesSearch` | `search`
    `(package private) int` | `type`
    `(package private) static java.lang.String` | `TYPES`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SmilesMeasure(SmilesSearch search, int index, int type, boolean isNot, float[] minmax)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `(package private) boolean` | `addPoint(int index)`
    `(package private) boolean` | `check()`
    `static float` | `setTorsionData(javajs.util.T3 pt1a, javajs.util.T3 pt1, javajs.util.T3 pt2, javajs.util.T3 pt2a, VTemp v, boolean withDihedral)` calculate temporary points
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### search

          SmilesSearch search

    - #### nPoints

          int nPoints

    - #### type

          int type

    - #### index

          int index

    - #### isNot

          boolean isNot

    - #### indices

          private int[] indices

    - #### TYPES

          static final java.lang.String TYPES

      See Also:
        Constant Field Values

    - #### minmax

          private final float[] minmax

    - #### radiansPerDegree

          private static final float radiansPerDegree

      See Also:
        Constant Field Values

    - #### points

          private final javajs.util.P3[] points

  - ### Constructor Detail

    - #### SmilesMeasure

          SmilesMeasure(SmilesSearch search,
                        int index,
                        int type,
                        boolean isNot,
                        float[] minmax)

  - ### Method Detail

    - #### addPoint

          boolean addPoint(int index)

    - #### check

          boolean check()

    - #### setTorsionData

          public static float setTorsionData(javajs.util.T3 pt1a,
                                             javajs.util.T3 pt1,
                                             javajs.util.T3 pt2,
                                             javajs.util.T3 pt2a,
                                             VTemp v,
                                             boolean withDihedral)

      calculate temporary points
      Parameters:
        `pt1a` -
        `pt1` -
        `pt2` -
        `pt2a` -
        `v` -
        `withDihedral` -
      Returns:
        dihedral or 0

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`